Package org.apache.synapse.mediators.opa

# Class OPASecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.synapse.mediators.opa.OPASecurityException

All Implemented Interfaces:
  `Serializable`

public class OPASecurityException extends Exception
Exception to be thrown when a OPA mediator related error occurs

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACCESS_REVOKED`
  `static final String`
  `ACCESS_REVOKED_MESSAGE`
  `static final int`
  `INTERNAL_ERROR`
  `static final String`
  `INTERNAL_ERROR_MESSAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OPASecurityException(int errorCode, String message)`
  `OPASecurityException(int errorCode, String message, Throwable cause)`
  `OPASecurityException(String message)`
  `OPASecurityException(String message, Throwable cause)`
  `OPASecurityException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getErrorCode()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INTERNAL_ERROR

    public static final int INTERNAL_ERROR
    See Also:
      - Constant Field Values

  - ### INTERNAL_ERROR_MESSAGE

    public static final String INTERNAL_ERROR_MESSAGE
    See Also:
      - Constant Field Values

  - ### ACCESS_REVOKED

    public static final int ACCESS_REVOKED
    See Also:
      - Constant Field Values

  - ### ACCESS_REVOKED_MESSAGE

    public static final String ACCESS_REVOKED_MESSAGE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OPASecurityException

    public OPASecurityException(String message)

  - ### OPASecurityException

    public OPASecurityException(int errorCode, String message)

  - ### OPASecurityException

    public OPASecurityException(int errorCode, String message, Throwable cause)

  - ### OPASecurityException

    public OPASecurityException(String message, Throwable cause)

  - ### OPASecurityException

    public OPASecurityException(Throwable cause)

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()